Problem with installation fixpack WP_PTF_6011(wsp 6.0.0.0 -> wsp6.0.1.1) - Websphere

This is a discussion on Problem with installation fixpack WP_PTF_6011(wsp 6.0.0.0 -> wsp6.0.1.1) - Websphere ; Hello all, We are starting the update installer of Portal, to install fixpack: WP_PTF_6011, with following command: /updatePortal.sh -install -installDir "/data/IBM/WebSphere/PortalServer" -fixpack -fixpackDir "/data/IBM/WebSphere/PortalServer/update/fixpacks" -fixpackID WP_PTF_6011 The error we are getting when we start the Portal Update Installer is: Start ...

+ Reply to Thread
Results 1 to 7 of 7

Thread: Problem with installation fixpack WP_PTF_6011(wsp 6.0.0.0 -> wsp6.0.1.1)

  1. Problem with installation fixpack WP_PTF_6011(wsp 6.0.0.0 -> wsp6.0.1.1)

    Hello all,



    We are starting the update installer of Portal, to install fixpack: WP_PTF_6011, with following command:

    /updatePortal.sh -install -installDir "/data/IBM/WebSphere/PortalServer" -fixpack -fixpackDir "/data/IBM/WebSphere/PortalServer/update/fixpacks" -fixpackID WP_PTF_6011



    The error we are getting when we start the Portal Update Installer is:



    Start of http:// ./updatePortal.sh

    Build 20070629_0848

    Verifying installer jar:

    http:// PortalUpdateInstaller.jar

    Attempting to locate setupClient.sh

    Installation specified

    Fix pack update specified

    Fix pack directory: /data/IBM/WebSphere/PortalServer/update/fixpacks

    Fix pack: WP_PTF_6011

    Target product directory: /data/IBM/WebSphere/PortalServer

    Copyright (c) IBM Corporation 2002, 2006; All rights reserved.

    WebSphere Portal Version 6

    Update Installer Version 1.6, Dated 9/7/06

    UpdateInstallerArgs.isThisUninstall 0

    UpdateInstallerArgs.isThisUninstallforFixpack 1

    UpdateInstallerArgs.thisIsFixpackID WP_PTF_6011

    WP_PTF_6011Checking for Passwords ...

    Closing property file

    Failure during invocation

    java.lang.reflect.InvocationTargetException

    at sun.reflect.NativeMethodAccessorImpl.invoke0(Nativ e Method)

    at sun.reflect.NativeMethodAccessorImpl.invoke(Native MethodAccessorImpl.java:39)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(De legatingMethodAccessorImpl.java:25)

    at java.lang.reflect.Method.invoke(Method.java:324)

    at com.ibm.websphere.update.launch.Launcher.invokeMai n(Launcher.java:328)

    at com.ibm.websphere.update.launch.Launcher.main(Laun cher.java:226)

    Caused by: java.lang.StringIndexOutOfBoundsException: String index out of range: -1

    at java.lang.String.charAt(String.java:444)

    at com.ibm.websphere.update.util.CommentedProperties. load(CommentedProperties.java:292)

    at com.ibm.websphere.update.silent.BaseInstaller.read PropertiesFile(BaseInstaller.java:1645)

    at com.ibm.websphere.update.silent.BaseInstaller.chec kDBPasswordsForWPFixpack(BaseInstaller.java:1316)

    at com.ibm.websphere.update.silent.BaseInstaller.comm onInitialize(BaseInstaller.java:211)

    at com.ibm.websphere.update.silent.PTFInstaller.initi alize(PTFInstaller.java:168)

    at com.ibm.websphere.update.silent.PTFInstaller.doIns tall(PTFInstaller.java:985)

    at com.ibm.websphere.update.silent.UpdateInstaller.pr ocess(UpdateInstaller.java:212)

    at com.ibm.websphere.update.silent.UpdateInstaller.ma in(UpdateInstaller.java:58)

    at com.ibm.websphere.update.silent.UpdateInstaller.ma in(UpdateInstaller.java:54)

    ... 6 more

    End of http:// ./updatePortal.sh

    When we execute the command with a DUMMY fixpack ID, the instaler seems to go ahead:



    ./updatePortal.sh -install -installDir "/data/IBM/WebSphere/PortalServer" -fixpack -fixpackDir "/data/IBM/WebSphere/PortalServer/update/fixpacks" -fixpackID DUMMY

    Start of http:// ./updatePortal.sh

    Build 20080403_0130

    Verifying installer jar:

    http:// PortalUpdateInstaller.jar

    Attempting to locate setupClient.sh

    Installation specified

    Fix pack update specified

    Fix pack directory: /data/IBM/WebSphere/PortalServer/update/fixpacks

    Fix pack: DUMMY

    Target product directory: /data/IBM/WebSphere/PortalServer

    Copyright (c) IBM Corporation 2002, 2006; All rights reserved.

    WebSphere Portal Version 6

    Update Installer Version 1.6, Dated 9/7/06

    UpdateInstallerArgs.isThisUninstall 0

    UpdateInstallerArgs.isThisUninstallforFixpack 1

    UpdateInstallerArgs.thisIsFixpackID DUMMY

    Configuration Properties:

    WAS Home:/data/IBM/WebSphere/AppServer

    UserInstallRoot:/data/IBM/WebSphere/AppServer/profiles/wp_profile

    CellName:dmgrCell

    NodeNameortalNode01

    ServerName:WebSphere_Portal

    WAS DMgr processing:true

    Checking the status of all Application Servers

    Checking status of server server1



    Does anyone have an idea why we are getting this error?

    This is a really blocking issue for us



    Many thanks in advance for your feedback



    Best regards

    Wim Kelchtermans

  2. Re: Problem with installation fixpack WP_PTF_6011(wsp 6.0.0.0 ->wsp 6.0.1.

    Try to install with ./updatePortalWizard.sh

  3. Re: Problem with installation fixpack WP_PTF_6011(wsp 6.0.0.0 ->wsp 6.0.1.

    Before running please run /bin/setupCmdLine.sh

  4. Re: Problem with installation fixpack WP_PTF_6011(wsp 6.0.0.0 ->wsp 6.0.1.

    Hey,



    Thanks for your quick reply.

    We did run this command to set up the environment.

    We followed all instructions given by IBM for the install.

    Regarding the wizzard, we try to run the portalWizzard.sh -console, but he gives an error with the -console argument.

    We can't run the script in graphical mode (we are running on a remote Solaris machine)



    Wim

  5. Re: Problem with installation fixpack WP_PTF_6011(wsp 6.0.0.0 ->wsp 6.0.1.1)

    Hi,

    Suggest u to download new portal upgrade which comes with WP 6.0.1.1

    This should resolve your issue.



    Thanks & Regards

    Vinod Vishnu Shirke

  6. Re: Problem with installation fixpack WP_PTF_6011(wsp 6.0.0.0 ->wsp 6.0.1.

    build 03/04/2008) or do you mean another fixpack?

    Remember, we are now running 6.0.0.0 and our customer doesn't want to upgrade further then 6.0.1.1



    Kind regards

    Wim Kelchtermans

  7. Re: Problem with installation fixpack WP_PTF_6011(wsp 6.0.0.0 -> wsp6.0.1.

    hi..
    Ensure that u r using latest version of update installer taht support
    Portal Version 6.0.1.1. Also Ensure that u are using supported version
    of WAS that should be 6.0.2.23.

+ Reply to Thread